SuSE 10 セキュリティ更新:CUPS(ZYPP パッチ番号 7774)

medium Nessus プラグイン ID 56603

概要

リモート SuSE 10 ホストにセキュリティ関連のパッチがありません。

説明

この更新では以下のセキュリティ上の問題が修正されます:

- 601830:管理者 Web インターフェイスを介した CSRF。(CVE-2010-0540)

- 680210:「lp」グループのユーザーは、任意のファイルを上書きできます。(CVE-2010-2431)

- 711490: gif デコーダーでのヒープオーバーフロー。(CVE-2011-2896)

- 715643: gif デコーダーのヒープオーバーフロー(CVE-2011-3170)この更新により、セキュリティ以外の以下の問題も修正されます。

- 671735:CUPS バックエンドでは、「プリンターが完了するのを待機中...」のようなメッセージが消去されません。

ソリューション

ZYPP パッチ番号 7774 を適用してください。

関連情報

http://support.novell.com/security/cve/CVE-2010-0540.html

http://support.novell.com/security/cve/CVE-2010-2431.html

http://support.novell.com/security/cve/CVE-2011-2896.html

http://support.novell.com/security/cve/CVE-2011-3170.html

プラグインの詳細

深刻度: Medium

ID: 56603

ファイル名: suse_cups-7774.nasl

バージョン: 1.7

タイプ: local

エージェント: unix

公開日: 2011/10/24

更新日: 2021/1/19

サポートされているセンサー: Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: Medium

Base Score: 6

ベクトル: AV:N/AC:M/Au:S/C:P/I:P/A:P

脆弱性情報

CPE: cpe:/o:suse:suse_linux

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

パッチ公開日: 2011/9/23

参照情報

CVE: CVE-2010-0540, CVE-2010-2431, CVE-2011-2896, CVE-2011-3170